OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
SignedFloodFillOp< TreeOrLeafManagerT > Class Template Reference

`#include <SignedFloodFill.h>`

## Public Types
typedef TreeOrLeafManagerT::ValueType | ValueT
typedef TreeOrLeafManagerT::RootNodeType | RootT
typedef TreeOrLeafManagerT::LeafNodeType | LeafT

## Public Member Functions
| BOOST_STATIC_ASSERT (boost::is_floating_point< ValueT >::value||boost::is_signed< ValueT >::value)
| SignedFloodFillOp (const TreeOrLeafManagerT &tree, Index minLevel=0)
| SignedFloodFillOp (ValueT outsideValue, ValueT insideValue, Index minLevel=0)
void | operator() (LeafT &leaf) const
template<typename NodeT >
void | operator() (NodeT &node) const
void | operator() (RootT &root) const

## Member Typedef Documentation

## ◆ LeafT

typedef TreeOrLeafManagerT::LeafNodeType LeafT

## ◆ RootT

typedef TreeOrLeafManagerT::RootNodeType RootT

## ◆ ValueT

typedef TreeOrLeafManagerT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ SignedFloodFillOp() [1/2]

SignedFloodFillOp | ( | const TreeOrLeafManagerT & | tree,
|  | Index | minLevel = `0`
| ) |  |
| inline

## ◆ SignedFloodFillOp() [2/2]

SignedFloodFillOp | ( | ValueT | outsideValue,
|  | ValueT | insideValue,
|  | Index | minLevel = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ BOOST_STATIC_ASSERT()

BOOST_STATIC_ASSERT | ( | boost::is_floating_point< ValueT >::value||boost::is_signed< ValueT >::value |  | ) |

## ◆ operator()() [1/3]

void operator() | ( | LeafT & | leaf | ) | const
| inline

## ◆ operator()() [2/3]

void operator() | ( | NodeT & | node | ) | const
| inline

## ◆ operator()() [3/3]

void operator() | ( | RootT & | root | ) | const
| inline

The documentation for this class was generated from the following file:

- SignedFloodFill.h